Modify

Opened 8 years ago

Closed 7 years ago

#3988 closed defect (fixed)

eabi fixes (From Openembedded) - stable for a week for me

Reported by: h3sp4wn Owned by: agb
Priority: high Milestone:
Component: toolchain Version:
Keywords: Cc:

Description

Index: toolchain/uClibc/patches/132-arm_fix_alignment.patch
===================================================================
--- toolchain/uClibc/patches/132-arm_fix_alignment.patch        (revision 0)
+++ toolchain/uClibc/patches/132-arm_fix_alignment.patch        (revision 0)
@@ -0,0 +1,11 @@
+--- uClibc-0.9.29/ldso/ldso/arm/dl-sysdep.h.orig       2006-11-21 02:50:42.000000000 +0000
++++ uClibc-0.9.29/ldso/ldso/arm/dl-sysdep.h    2008-09-07 10:03:55.000000000 +0100
+@@ -15,6 +15,8 @@
+   GOT_BASE[1] = (unsigned long) MODULE; \
+ }
+ 
++#define DL_MALLOC_ALIGN 8 /* EABI needs 8 byte alignment for STRD LDRD*/
++
+ static inline unsigned long arm_modulus(unsigned long m, unsigned long p)
+ {
+       unsigned long i,t,inc;
Index: toolchain/uClibc/patches/131-arm_ftruncate64.patch
===================================================================
--- toolchain/uClibc/patches/131-arm_ftruncate64.patch  (revision 0)
+++ toolchain/uClibc/patches/131-arm_ftruncate64.patch  (revision 0)
@@ -0,0 +1,13 @@
+Index: uclibc-0.9.29/libc/sysdeps/linux/arm/bits/uClibc_arch_features.h
+===================================================================
+--- uclibc-0.9.29.orig/libc/sysdeps/linux/arm/bits/uClibc_arch_features.h
++++ uclibc-0.9.29/libc/sysdeps/linux/arm/bits/uClibc_arch_features.h
+@@ -38,4 +38,8 @@
+ /* define if target supports IEEE signed zero floats */
+ #define __UCLIBC_HAVE_SIGNED_ZERO__
+ 
++#ifdef __ARM_EABI__
++# define __UCLIBC_TRUNCATE64_HAS_4_ARGS__
++#endif
++
+ #endif /* _BITS_UCLIBC_ARCH_FEATURES_H */
Index: toolchain/uClibc/patches/133-unistd_arm.patch
===================================================================
--- toolchain/uClibc/patches/133-unistd_arm.patch       (revision 0)
+++ toolchain/uClibc/patches/133-unistd_arm.patch       (revision 0)
@@ -0,0 +1,30 @@
+Index: uClibc-0.9.29/extra/scripts/gen_bits_syscall_h.sh
+===================================================================
+--- uClibc-0.9.29.orig/extra/scripts/gen_bits_syscall_h.sh     2006-12-12 04:30:02.000000000 +0100
++++ uClibc-0.9.29/extra/scripts/gen_bits_syscall_h.sh  2008-03-10 23:20:52.000000000 +0100
+@@ -24,8 +24,8 @@
+ ( echo "#include <asm/unistd.h>";
+   echo "#include <asm/unistd.h>" |
+   $CC -E $CC_SYSNUM_ARGS $INCLUDE_OPTS - |
+-  sed -ne 's/^[ ]*#define[ ]*__NR_\([A-Za-z0-9_]*\).*/UCLIBC_\1 __NR_\1/gp' \
+-      -e 's/^[ ]*#undef[ ]*__NR_\([A-Za-z0-9_]*\).*/UNDEFUCLIBC_\1 __NR_\1/gp' # needed to strip out any kernel-internal defines
++  sed -ne 's/^[ ]*#define[ ]*\(__ARM_NR_\|__NR_\)\([A-Za-z0-9_]*\).*/UCLIBC\1\2 \1\2/gp' \
++      -e 's/^[ ]*#undef[ ]*\(__ARM_NR_\|__NR_\)\([A-Za-z0-9_]*\).*/UNDEFUCLIBC\1\2 \1\2/gp' # needed to strip out any kernel-internal defines
+ ) |
+ $CC -E $INCLUDE_OPTS - |
+ ( echo "/* WARNING!!! AUTO-GENERATED FILE!!! DO NOT EDIT!!! */" ; echo ;
+@@ -35,10 +35,10 @@
+   echo "#ifndef _SYSCALL_H" ;
+   echo "# error \"Never use <bits/sysnum.h> directly; include <sys/syscall.h> instead.\"" ;
+   echo "#endif" ; echo ;
+-  sed -ne 's/^UCLIBC_\([A-Za-z0-9_]*\) *\(.*\)/#undef __NR_\1\
+-#define __NR_\1 \2\
+-#define SYS_\1 __NR_\1/gp' \
+-     -e 's/^UNDEFUCLIBC_\([A-Za-z0-9_]*\).*/#undef __NR_\1/gp'
++  sed -ne 's/^UCLIBC\(__ARM_NR_\|__NR_\)\([A-Za-z0-9_]*\) *\(.*\)/#undef \1\2\
++#define \1\2 \3\
++#define SYS_\2 \1\2/gp' \
++     -e 's/^UNDEFUCLIBC\(__ARM_NR_\|__NR_\)\([A-Za-z0-9_]*\).*/#undef \1\2/gp'
+   echo ;
+   echo "#endif" ;
+ )
Index: toolchain/gcc/patches/4.1.2/802-fix-ICE-in-arm_unwind_emit_set.diff
===================================================================
--- toolchain/gcc/patches/4.1.2/802-fix-ICE-in-arm_unwind_emit_set.diff (revision 0)
+++ toolchain/gcc/patches/4.1.2/802-fix-ICE-in-arm_unwind_emit_set.diff (revision 0)
@@ -0,0 +1,18 @@
+--- trunk/gcc/config/arm/arm.c 2006/09/19 13:18:27     117055
++++ trunk/gcc/config/arm/arm.c 2006/09/19 13:19:24     117056
+@@ -15415,6 +15415,15 @@
+         /* Move from sp to reg.  */
+         asm_fprintf (asm_out_file, "\t.movsp %r\n", REGNO (e0));
+       }
++     else if (GET_CODE (e1) == PLUS
++            && GET_CODE (XEXP (e1, 0)) == REG
++            && REGNO (XEXP (e1, 0)) == SP_REGNUM
++            && GET_CODE (XEXP (e1, 1)) == CONST_INT)
++      {
++        /* Set reg to offset from sp.  */
++        asm_fprintf (asm_out_file, "\t.movsp %r, #%d\n",
++                     REGNO (e0), (int)INTVAL(XEXP (e1, 1)));
++      }
+       else
+       abort ();
+       break;
Index: toolchain/gcc/patches/4.1.2/011-zecke-xgcc-cpp.patch
===================================================================
--- toolchain/gcc/patches/4.1.2/011-zecke-xgcc-cpp.patch        (revision 0)
+++ toolchain/gcc/patches/4.1.2/011-zecke-xgcc-cpp.patch        (revision 0)
@@ -0,0 +1,16 @@
+upstream: n/a
+comment: Use the preprocessor we have just compiled instead the one of
+the system. There might be incompabilities between us and them.
+
+Index: gcc-4.1.1/Makefile.in
+===================================================================
+--- gcc-4.1.1.orig/Makefile.in 2006-08-06 13:32:44.000000000 +0200
++++ gcc-4.1.1/Makefile.in      2006-08-06 13:32:46.000000000 +0200
+@@ -194,6 +194,7 @@
+       AS="$(COMPILER_AS_FOR_TARGET)"; export AS; \
+       CC="$(CC_FOR_TARGET)"; export CC; \
+       CFLAGS="$(CFLAGS_FOR_TARGET)"; export CFLAGS; \
++      CPP="$(CC_FOR_TARGET) -E"; export CPP; \
+       CONFIG_SHELL="$(SHELL)"; export CONFIG_SHELL; \
+       CPPFLAGS="$(CPPFLAGS_FOR_TARGET)"; export CPPFLAGS; \
+       CXXFLAGS="$(CXXFLAGS_FOR_TARGET)"; export CXXFLAGS; \
Index: toolchain/gcc/patches/4.1.2/010-pr34130.patch
===================================================================
--- toolchain/gcc/patches/4.1.2/010-pr34130.patch       (revision 0)
+++ toolchain/gcc/patches/4.1.2/010-pr34130.patch       (revision 0)
@@ -0,0 +1,16 @@
+Index: gcc-4.1.2/gcc/fold-const.c
+===================================================================
+--- gcc-4.1.2.orig/gcc/fold-const.c    2007-11-21 18:53:42.000000000 +0100
++++ gcc-4.1.2/gcc/fold-const.c 2007-11-21 18:56:26.000000000 +0100
+@@ -5339,7 +5339,10 @@
+             }
+           break;
+         }
+-      /* FALLTHROUGH */
++   /* If the constant is negative, we cannot simplify this.  */
++   if (tree_int_cst_sgn (c) == -1)
++     break;
++   /* FALLTHROUGH */
+     case NEGATE_EXPR:
+       if ((t1 = extract_muldiv (op0, c, code, wide_type)) != 0)
+       return fold_build1 (tcode, ctype, fold_convert (ctype, t1));
Index: toolchain/gcc/patches/4.1.2/002-ldflags.patch
===================================================================
--- toolchain/gcc/patches/4.1.2/002-ldflags.patch       (revision 0)
+++ toolchain/gcc/patches/4.1.2/002-ldflags.patch       (revision 0)
@@ -0,0 +1,22 @@
+--- /tmp/Makefile.in   2006-02-23 20:56:01.399758728 +0100
++++ gcc-4.1-20060217/Makefile.in       2006-02-23 20:56:16.874406224 +0100
+@@ -334,7 +334,7 @@
+ CXXFLAGS_FOR_TARGET = $(CXXFLAGS) $(SYSROOT_CFLAGS_FOR_TARGET)
+ LIBCFLAGS_FOR_TARGET = $(CFLAGS_FOR_TARGET)
+ LIBCXXFLAGS_FOR_TARGET = $(CXXFLAGS_FOR_TARGET) -fno-implicit-templates
+-LDFLAGS_FOR_TARGET = 
++LDFLAGS_FOR_TARGET = @LDFLAGS@ 
+ PICFLAG_FOR_TARGET = 
+ 
+ # ------------------------------------
+--- /tmp/Makefile.tpl  2006-02-23 20:50:34.077519272 +0100
++++ gcc-4.1-20060217/Makefile.tpl      2006-02-23 21:04:31.092273688 +0100
+@@ -337,7 +337,7 @@
+ CXXFLAGS_FOR_TARGET = $(CXXFLAGS) $(SYSROOT_CFLAGS_FOR_TARGET)
+ LIBCFLAGS_FOR_TARGET = $(CFLAGS_FOR_TARGET)
+ LIBCXXFLAGS_FOR_TARGET = $(CXXFLAGS_FOR_TARGET) -fno-implicit-templates
+-LDFLAGS_FOR_TARGET = 
++LDFLAGS_FOR_TARGET = @LDFLAGS@ 
+ PICFLAG_FOR_TARGET = 
+ 
+ # ------------------------------------

Attachments (3)

eabi-fixes.diff (7.3 KB) - added by h3sp4wn 8 years ago.
what-iam-using.tar.gz (2.7 KB) - added by h3sp4wn 8 years ago.
Patches I am currently using
what-iam-using2.tar.gz (2.9 KB) - added by h3sp4wn 8 years ago.
Last one doesn't extract to the right places

Download all attachments as: .zip

Change History (5)

Changed 8 years ago by h3sp4wn

comment:1 Changed 8 years ago by agb

  • Owner changed from developers to agb
  • Status changed from new to assigned

Changed 8 years ago by h3sp4wn

Patches I am currently using

Changed 8 years ago by h3sp4wn

Last one doesn't extract to the right places

comment:2 Changed 7 years ago by nbd

  • Resolution set to fixed
  • Status changed from assigned to closed

patches added in r14072, r14073

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.